package com.fjhx.sale.service.ext;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.ext.dto.ExtQuotationDto;
import com.fjhx.sale.entity.ext.dto.ExtQuotationSelectDto;
import com.fjhx.sale.entity.ext.po.ExtQuotation;
import com.fjhx.sale.entity.ext.vo.ExtQuotationVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 对外报价单 服务类
 * </p>
 *
 * @author
 * @since 2024-01-14
 */
public interface ExtQuotationService extends BaseService<ExtQuotation> {

    /**
     * 对外报价单分页
     */
    Page<ExtQuotationVo> getPage(ExtQuotationSelectDto dto);

    /**
     * 对外报价单明细
     */
    ExtQuotationVo detail(Long id);

    /**
     * 对外报价单新增
     */
    void add(ExtQuotationDto extQuotationDto);

    /**
     * 对外报价单编辑
     */
    void edit(ExtQuotationDto extQuotationDto);

    /**
     * 对外报价单删除
     */
    void delete(Long id);

    void changeSaleQuotation(ExtQuotationDto saleQuotationDto);

    void cancellation(Long id);

    /**
     * 获取报价单历史版本
     */
    List<ExtQuotationVo> getVersionList(Long extQuotationId);
}
